> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/zec/location/describeregions.md).

# DescribeRegions

## 1. API Description

This API (DescribeRegions) is used to query region information, including the region name and the administrative region it belongs to.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type            | Description          |
| -------------- | -------- | --------------- | -------------------- |
| regionIds      | No       | Array of String | Filter by region ID. |

## 3. Output Parameters

| Parameter Name | Type                                                                  | Description                                                                                                           |
| -------------- | --------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| regionSet      | Array of [RegionItem](/api-reference/zec/datastructure.md#regionitem) | List of regions.                                                                                                      |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Query the region list.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeRegions
<Common Request Params>

Request:
{
  "regionIds": [
    "asia-east-1",
    "sa-north-1"
  ]
}

Response:
{
  "requestId": "T6883FCD0-3E7D-44EA-A517-A421A52A27F4",
  "response": {
    "requestId": "T6883FCD0-3E7D-44EA-A517-A421A52A27F4",
    "regionSet": [
      {
        "regionId": "asia-east-1",
        "regionName": "asia-east-1",
        "administrativeRegion": "CHINESE_MAINLAND"
      },
      {
        "regionId": "sa-north-1",
        "regionName": "sa-north-1",
        "administrativeRegion": "FOREIGN"
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
